Name: lesstif
Version: 0.93.91
Release: alt1

Summary: LessTif - a free replacement of OSF/Motif
License: LGPL
Group: System/Libraries
Url: http://www.lesstif.org/

Source: http://download.sourceforge.net/%name/%name-%version.tar.bz2

Source1: mwm-menumethod
Source2: mwm.menu
Source3: mwm.xpm
Source4: mwm32.xpm
Source5: %name-libxp.m4

Patch1: %name-mdk-menu.patch
Patch2: %name-0.93.49-mdk-libdir.patch

Provides: motif, %name-compat = %version
Obsoletes: %name-compat
Conflicts: openmotif < 2.2.2

# Automatically added by buildreq on Wed Oct 01 2003
BuildRequires: XFree86-devel XFree86-libs ctags flex fontconfig-devel freetype2-devel glibc-devel-static lesstif-devel lynx man zlib-devel

%package devel
Summary: Include files for Lesstif development
Group: Development/C
Requires: %name = %version-%release
Provides: motif-devel, %name-devel-compat = %version
Obsoletes: %name-devel-compat
Conflicts: openmotif-devel

%package devel-static
Summary: Static libraries for Lesstif development
Group: Development/C
Requires: %name-devel = %version-%release
Provides: motif-devel-static, %name-devel-compat-static = %version
Obsoletes: %name-devel-compat-static
Conflicts: openmotif-devel-static

%package mwm
Summary: Lesstif Motif window manager clone based on fvwm
License: GPL
Group: Graphical desktop/Motif
Requires: %name = %version-%release
Provides: motif-mwm
Conflicts: openmotif-mwm

%package clients
Summary: LessTif clients
License: GPL
Group: Graphical desktop/Motif
Requires: %name = %version-%release
Provides: motif-clients
Conflicts: openmotif-clients

%package doc
Summary: LessTif Manuals
Group: Development/C
Requires: %name = %version-%release
Provides: lessdox = %version
Obsoletes: lessdox

%description
Lesstif is an API compatible clone of the Motif toolkit.

Most of the Motif 1.2 API is in place.
Motif 2.1 functionality is being improved.

Many Motif applications compile and run out-of-the-box with LessTif,
and we want to hear about those that don't.

%description devel
Lesstif is an API compatible clone of the Motif toolkit.

Most of the Motif 1.2 API is in place.
Motif 2.1 functionality is being improved.

Many Motif applications compile and run out-of-the-box with LessTif,
and we want to hear about those that don't.

This package contains programs, development libraries and include files
required to develop lesstif-based applications.

%description devel-static
This package contains static libraries required to develop statically
linked lesstif-based applications.

%description mwm
Lesstif is an API compatible clone of the Motif toolkit.
This package contains mwm - a window manager that adheres largely
to the Motif mwm specification.

%description clients
Lesstif is an API compatible clone of the Motif toolkit.
This package contains uil and xmbind.

%description doc
This package contains LessTif development documentation.

%prep
%setup -q
%patch1 -p0
%patch2 -p1

find -type d -name CVS -print0 |
	xargs -r0 rm -rf --
find -type f -name .cvsignore -print0 |
	xargs -r0 rm -f --
find -type f -name '.#*' -print0 |
	xargs -r0 rm -f --

cat %SOURCE5 >>acinclude.m4

%build
#libtoolize --copy --force
#aclocal -I m4
#autoheader
#automake -a -c
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%_x11dir \
	--enable-shared \
	--enable-static \
	--enable-build-12 \
	--enable-build-20 \
	--enable-build-21 \
	--disable-verbose \
	--disable-maintainer-mode \
	--enable-production \
	--with-editres \
	--with-xdnd \
	%_configure_target

%make_build

%install
%__mkdir_p $RPM_BUILD_ROOT{%_sysconfdir/X11,%_x11libdir/X11/app-defaults,%_docdir}
%__chmod a-x [A-Z]*
%make_install install DESTDIR=$RPM_BUILD_ROOT

# Install/generate config files.
%__mv $RPM_BUILD_ROOT%_x11libdir/X11/{app-defaults,mwm} $RPM_BUILD_ROOT%_sysconfdir/X11
%__ln_s ../../../../etc/X11/mwm $RPM_BUILD_ROOT%_x11libdir/X11/
%__rm -f $RPM_BUILD_ROOT%_x11libdir/X11/config/host.def

# Install manpages.
%__mkdir_p $RPM_BUILD_ROOT%_x11mandir/man{1,3,5}
%__install -p doc/lessdox/*/*.1 $RPM_BUILD_ROOT%_x11mandir/man1/
%__install -p doc/lessdox/*/*.3 $RPM_BUILD_ROOT%_x11mandir/man3/
%__install -p doc/lessdox/*/*.5 $RPM_BUILD_ROOT%_x11mandir/man5/

# Cleanup manpages.
find $RPM_BUILD_ROOT%_x11mandir -type f -name '*.[1-9]' -print0 |
	xargs -r0 %__grep -Zl '^\.\.\.' |
	xargs -r0 %__subst 's/^\.\.\././g'

# Prepare docs.
%__mkdir_p $RPM_BUILD_ROOT%_docdir/%name-%version
%__mv $RPM_BUILD_ROOT%_x11dir/LessTif/doc $RPM_BUILD_ROOT%_docdir/%name-%version/lessdox
%__mv $RPM_BUILD_ROOT%_x11dir/LessTif/* $RPM_BUILD_ROOT%_docdir/%name-%version/
%__rm $RPM_BUILD_ROOT%_docdir/%name-%version/{COPYING*,Install} -f
%__install -p -m644 clients/Motif-1.2/mwm/README $RPM_BUILD_ROOT%_docdir/%name-%version/mwm.README

# Menu support.
%__mv $RPM_BUILD_ROOT%_sysconfdir/X11/mwm/system.mwmrc $RPM_BUILD_ROOT%_sysconfdir/X11/mwm/system.mwmrc-menu
%__install -pD -m755 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/menu-methods/%name-mwm

# Menu entry.
%__install -pD -m644 %SOURCE2 $RPM_BUILD_ROOT%_menudir/%name-mwm

# Icons.
%__install -pD -m644 %SOURCE3 $RPM_BUILD_ROOT%_miconsdir/mwm.xpm
%__install -pD -m644 %SOURCE4 $RPM_BUILD_ROOT%_iconsdir/mwm.xpm

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%pre mwm
[ -L %_x11libdir/X11/mwm ] || rm -rf %_x11libdir/X11/mwm

%post mwm
%update_menus

%postun mwm
%clean_menus

%files
%_x11libdir/*.so.*
%_x11mandir/man1/lesstif.*
#%_x11mandir/man1/ltversion.*
%_x11mandir/man5/VirtualBindings.*
%doc %dir %_docdir/%name-%version
%doc %_docdir/%name-%version/[A-Z]*

%files devel
%_x11bindir/mxmkmf
%_x11libdir/*.so
%_x11dir/include/*
%_x11mandir/man3/*
%_x11libdir/X11/config/*

%files devel-static
%_x11libdir/*.a

%files mwm
%config(noreplace) %_sysconfdir/X11/mwm
%config(noreplace) %_sysconfdir/X11/app-defaults/*
%config(noreplace) %_sysconfdir/menu-methods/*
%_x11libdir/X11/mwm
%_x11bindir/mwm
%_x11mandir/man?/mwm*
%_menudir/*
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm

%doc %dir %_docdir/%name-%version
%doc %_docdir/%name-%version/mwm.README

%files clients
%_x11bindir/uil
%_x11bindir/xmbind
%_x11mandir/man?/uil.*
%_x11mandir/man?/xmbind.*

%files doc
%doc %dir %_docdir/%name-%version
%doc %_docdir/%name-%version/lessdox

%changelog
* Thu Nov 27 2003 Dmitry V. Levin <ldv@altlinux.org> 0.93.91-alt1
- Updated to 0.93.91.
- Do not package .la files.

* Wed Oct 01 2003 Dmitry V. Levin <ldv@altlinux.org> 0.93.49-alt1
- Updated to 0.93.49.
- Updated libdir patch (mdk).

* Tue Oct 22 2002 Dmitry V. Levin <ldv@altlinux.org> 0.93.36-alt1
- Updated to 0.93.36
- Fixed libdir (mdk).
- Fixed build.

* Fri Apr 12 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.93.18-alt2
- Updated conflicts (compatible with openmotif >= 2.2.2).

* Fri Mar 29 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.93.18-alt1
- 0.93.18

* Tue Dec 04 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.93.15-alt1
- 0.93.15

* Fri Oct 12 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.93.12-alt1
- 0.93.12 (--enable-build-21).
- No compat subpackages (yet?).
- Relocated documentation.
- Added menu support and menu entries (mdk).

* Mon Mar 19 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.92.6-ipl4mdk
- Moved static libraries to devel-static and devel-compat-static subpackages.

* Wed Mar 14 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.92.6-ipl3mdk
- Added bunch of provides.

* Thu Feb 15 2001 Dmitry V. Levin <ldv@fandra.org> 0.92.6-ipl2mdk
- Relocated config files according to FHS.
- Used new group: Graphical desktop/Motif.

* Wed Feb 07 2001 Dmitry V. Levin <ldv@fandra.org> 0.92.6-ipl1mdk
- 0.92.6
- Fixed XltFontChooser manpage.

* Thu Dec 21 2000 Dmitry V. Levin <ldv@fandra.org> 0.92.5-ipl1mdk
- 0.92.5.
- Fixed URL.

* Mon Dec 18 2000 Dmitry V. Levin <ldv@fandra.org> 0.92.0-ipl1mdk
- 0.92.0.
- Updated groups, summaries and descriptions.
- More compatibility with openmotif.

* Mon Jun 19 2000 Dmitry V. Levin <ldv@fandra.org>
- Specfile cleanup.

* Tue May 17 2000 AEN <aen@logic.ru>
- 0.91.0
- compat & devel-compat for compatibility Lesstif-1.2 with Open Motif

* Tue May 10 2000 AEN <aen@logic.ru>
- build new lesstif for Appendix
- fix doc-files permissions

* Fri Nov 19 1999 AEN <aen@logic.ru>
- fixed bug in file list

* Tue Nov 17 1999 AEN <aen@logic.ru>
- added options for configure

* Mon Nov 08 1999 AEN <aen@logic.ru>
- build for Mandrake RE
- bzipped man-pages

* Tue Oct 23 1999 Danny Backx <danny@hungry.com>
- try to integrate Michal's stuff in lesstif.spec.in
- don't treat Xbae, Xlt separately
- compile for 2.0 as well as for 1.2
- compile Xbae, Xlt by default

* Tue Oct 19 1999 Michal Jaegermann <michal@harddata.com>              (0.89)
- Updated to version 0.89
- Reorganized spec file to follow closer its own descriptions
- Xlt does not require special make anymore.

* Thu Apr 30 1998 C. Scott Ananian <cananian@alumni.princeton.edu>      (0.83+)
- Updated to lessdoc-current.
- Removes Lessdox package (integrated into lesstif)

* Tue Mar 31 1998 C. Scott Ananian <cananian@alumni.princeton.edu>      (0.83+)
- Removed pedantic.patch
- Removed lesstif-M12 (Motif 1.2 wrapper)
- Reviewed installation and fixed %files sections.
- Added patch to fix a bug which causes mozilla to crash.
- Added patch to fix the include prefix on install.

* Sun Jul 20 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>        (0.80-2)
- added to all %doc %attr macros (this allow build package from normal user
  account),
- some simplification in %files (%doc).
* Wed Jul 9 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- added using %%PACKAGE_VERSION macro in "Source:" and %files,
- added additional parameter "--enable-build-12" to runing configure,
- added %posun and %clear,
- in %post and %postun ldconfig is called as parameter with "-p"
  (this feature is avalable in rpm >= 2.4.3 and you must have this
  version and if you want recompile package from src.rpm you must have new
  version rpm),
- added package lesstif-M12 simpe Motif 1.2 wrapper,
- simplified %install section,
- added %attr macros in %files sections,
- added striping shared libraries,
- added URL field,
- added Lessdox - a html development documentation to lesstif-devel,
- added lesstif-0.80public-nopedantic.patch, this allow compile lesstif on
  sparc by removing "-pedantic" from CFLAGS.
